Index: dev/usb/umass.c
===================================================================
RCS file: /cognet/ncvs/src/sys/dev/usb/umass.c,v
retrieving revision 1.135
diff -u -p -r1.135 umass.c
--- dev/usb/umass.c	17 Mar 2006 18:16:22 -0000	1.135
+++ dev/usb/umass.c	27 Mar 2006 12:17:16 -0000
@@ -414,6 +414,10 @@ Static struct umass_devdescr_t umass_dev
 	  UMASS_PROTO_ATAPI | UMASS_PROTO_BBB,
 	  NO_QUIRKS
 	},
+	{ USB_VENDOR_MSYSTEMS, USB_PRODUCT_MSYSTEMS_DISKONKEY3, RID_WILDCARD,
+	  UMASS_PROTO_SCSI | UMASS_PROTO_BBB,
+	  IGNORE_RESIDUE | NO_GETMAXLUN | RS_NO_CLEAR_UA
+	},
 	{ USB_VENDOR_NEODIO, USB_PRODUCT_NEODIO_ND3260, RID_WILDCARD,
 	  UMASS_PROTO_SCSI | UMASS_PROTO_BBB,
 	  FORCE_SHORT_INQUIRY
Index: dev/usb/usbdevs
===================================================================
RCS file: /cognet/ncvs/src/sys/dev/usb/usbdevs,v
retrieving revision 1.255
diff -u -p -r1.255 usbdevs
--- dev/usb/usbdevs	27 Feb 2006 01:01:27 -0000	1.255
+++ dev/usb/usbdevs	27 Mar 2006 12:09:35 -0000
@@ -1278,6 +1278,7 @@ product MUSTEK MDC800		0xa800	MDC-800 di
 /* M-Systems products */
 product MSYSTEMS DISKONKEY	0x0010	DiskOnKey
 product MSYSTEMS DISKONKEY2	0x0011	DiskOnKey
+product MSYSTEMS DISKONKEY3	0x0012	DiskOnKey
 
 /* National Semiconductor */
 product NATIONAL BEARPAW1200	0x1000	BearPaw 1200
